MS_Overall Trajectory

resulting-densityOption Explicit
‘Script written by <MathewStaudt>
‘Script copyrighted by <NO>
‘Script version Sunday, November 02, 2008 4:28:40 PM

Dim Iterations, Zstep, DblFctr, MaxVaultDist, MinVaultDist, kissingDist, EQMin, zLimit, Lyrs, zwiggle, xywiggle, lowValt
Dim Reach, SecondThresh, SecondBuddyThresh, MaxVaultDist2, runaway

Iterations = 4
Zstep = 1
DblFctr = 2.2

kissingDist = 4
MaxVaultDist = 20
MaxVaultDist2 = kissingDist*3
lowValt = 12
MinVaultDist = 0
runaway = 2
SecondBuddyThresh = 30
EQMin= 1.6
zLimit = 30
Lyrs = 5

zwiggle= array(-0.3, 0.3)
xywiggle = array(-0.15, 0.15)

Reach = 30
Call Main()
Sub Main()
 Dim ObjPts, Arrpts(), History(), BackBurn(), Vectors(), NewPoints
 Dim ArrTriID, ArrTri, NewVect, NewDead, BuildRetrun, MyFirstComrade, b
 Dim s, p, q, kil, i, h
 Dim c, NewPts(), NewBrners, Lofts(), L, k, t
 Dim MyThirdComrade, BuildRetrun2
 s=0
 
 
 ObjPts = Rhino.GetObjects (“Select your shit slinging robots”, 1)
 For i=0 To Ubound (ObjPts)
  ReDim Preserve Arrpts(i)
  Arrpts(i) = Rhino.PointCoordinates (ObjPts(i))
 Next
 
 ReDim History (i-1)
 ReDim BackBurn(i-1)
 ReDim Vectors(i-1)
 For h=0 To Ubound (History)
  History(h) = array(“No”, “No”, “No”)
  BackBurn(h) = array(Null)
  Vectors(h) = Null
 Next
 
 Rhino.AddLayer “Dots”
 Rhino.AddLayer “Streamers” 
 
 ‘Rhino.EnableRedraw (False)
  
 MyFirstComrade =  NewFindComrade(Arrpts, History, Vectors)
 If IsNull (MyFirstComrade) Then
  MyFirstComrade =  NewFindComrade(Arrpts, History, Vectors)
  If IsNull (MyFirstComrade) Then
   Exit Sub
  End If
 End If
 
 ArrTriID = MyFirstComrade(0)
 ArrTri = MyFirstComrade(1)
 NewVect = MyFirstComrade(2)
 NewDead = MyFirstComrade(3)
 
 If Not IsNull (NewDead) Then
  For kil = 0 To Ubound (NewDead)
   Arrpts(NewDead(kil)) = Null
  Next
 End If 
 
 
 For p = 0 To Ubound (ArrTriID)
  For q = 0 To 2
   History (ArrTriID(p)(q)) = ArrTriID(p)
   Vectors (ArrTriID(p)(q)) = NewVect(p)(q)
  Next
 Next
 
 BuildRetrun = build (Arrpts, ArrTriID, ArrTri, History, Vectors, BackBurn, s)
 
 For t=0 To Ubound (BuildRetrun)
  NewPoints= BuildRetrun(0)
  NewBrners= BuildRetrun(1)
 Next
 
 For p = 0 To Ubound (ArrTriID)
  For q = 0 To 2
   Arrpts(ArrTriID(p)(q)) = NewPoints(p)(q)
   BackBurn (ArrTriID(p)(q)) = NewBrners(p)(q)
  Next
 Next
 
 
 
 For s=1 To Iterations 
  Rhino.AddLayer s
  Rhino.CurrentLayer s
  MyThirdComrade = NewFindComrade2 (NewPoints, ArrTriID)
  NewPoints = MyThirdComrade(0)
  ArrTriID = MyThirdComrade(1)
  BuildRetrun2 = build (Arrpts, ArrTriID, NewPoints, History, Vectors, BackBurn, s)
  
  For t=0 To Ubound (BuildRetrun2)
   NewPoints= BuildRetrun2(0)
   NewBrners= BuildRetrun2(1)
  Next
  For p = 0 To Ubound (ArrTriID)
   For q = 0 To 2
    Arrpts(ArrTriID(p)(q)) = NewPoints(p)(q)
    BackBurn (ArrTriID(p)(q)) = NewBrners(p)(q)
   Next
  Next
  ‘Rhino.EnableRedraw (True)
 Next
End Sub

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s